import { ComponentFixture, TestBed } from '@angular/core/testing';

import { LoadBalancerDetailsComponent } from './load-balancer-details.component';
import { RouterTestingModule } from '@angular/router/testing';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { MatDialogModule } from '@angular/material/dialog';

describe('LoadBalancerDetailsComponent', () => {
  let component: LoadBalancerDetailsComponent;
  let fixture: ComponentFixture<LoadBalancerDetailsComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [LoadBalancerDetailsComponent],
      imports: [
        HttpClientTestingModule, RouterTestingModule, MatDialogModule,
      ],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(LoadBalancerDetailsComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
